Subject: bug#8145: Crash in multibyte_chars_in_text

From: Lennart Borgman <[email-masked]>
Date: Tue, 1 Mar 2011 20:57:11 +0100

On Tue, Mar 1, 2011 at 7:45 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Michel de Ruiter <[email-masked]>
>> Date: Tue, 1 Mar 2011 12:47:30 +0100
>> Cc:
>>
>> I just experienced an Emacs crash, and I can reproduce it consistently with the latest pretest.
>> Steps:
>> - make sure the directory "U:\Privé\ab" exists (mind the accent!)
>> - set find-file-existing-other-name to t
>> - set w32-downcase-file-names to t as well
>> - have "U:\Privé\ab" as the current working directory
>> - press Ctrl-x Ctrl-f c d
>>
>> On typing the 'd' (or whatever key you type there) Emacs crashes.
>
> FWIW, I cannot reproduce this.  I don't have a U: drive, and couldn't
> make a directory with a Latin character (my locale is different), but
> I did create a directory on D: with a non-ASCII character it its name,
> and in that directory put an empty file "ab".  "C-x C-f cd" didn't
> crash.

I can reproduce it using C: instead of U: with an unpatched build:

GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2011-02-15